### Constructor

# Json Reader new

since: 0.12

#### Declaration [src]

    JsonReader*
    json_reader_new (
      JsonNode* node
    )

#### Description [src]

Creates a new reader.

You can use this object to read the contents of the JSON tree starting from the given node.

Available since: 0.12

#### Parameters

`node`

  Type: `JsonNode`

  The root node.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `JsonReader`

The newly created reader.

The caller of the function takes ownership of the data, and is responsible for freeing it.